#include<iostream>
#include<cmath>
#include<algorithm>
using namespace std;
int main(){
	string r="";
	string a;
	int a1,a2;
	cin>>a>>a1>>a2;
	char c1=a[0],c2=a[1];
	if(c1==c2){
		cout<<"nemoguce";
		return 0;
	}
	if((a1+a2)%2==0){
		if(a1==a2){
			for(int i=0;i<a1;i++) r+=a;
		}
		else{
			cout<<"nemoguce";
			return 0;
		}
	}
	if((a1+a2)%2==1){
		if(abs(a1-a2)==1){
			if(a1>a2){
			    for(int i=0;i<a2;i++) r+=a;
				r+=c1;	
			} 
			else{
				reverse(a.begin(),a.end());
				for(int i=0;i<a1;i++) r+=a;
				r+=c2;
			}
		}
		else{
			cout<<"nemoguce";
			return 0;
		}
	}
	cout<<r;
	return 0;
}